package collisiondetection;

/**
 * Implementation of component CollisionDetectionControl
 * Responsible for giving meaning to sensordata of the ultrasonic sensor
 * 
 * @author Eran Habad
 * @version 1.0
 */
public class CollisionDetectionControlImpl extends CollisionDetectionControl {
	
	@Override
	public void compute() {
		if ((this.ultrasonicrange != null)
				&& (this.ultrasonicrange.getCurrentValue() != null)) {
			// Get Values
			double range = this.ultrasonicrange.getCurrentValue();
			
			if (range<40)
				this.collision.setNextValue(true);
			else
				this.collision.setNextValue(false);	
		}
	}		
}
	
	
	

